Bug 77431 - FILESAVE : Hiding first sheet is not possible in xlsx
Summary: FILESAVE : Hiding first sheet is not possible in xlsx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: Other All
: low minor
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:5.1.0
Keywords:
: 92139 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-04-14 11:37 UTC by Jaise James
Modified: 2016-10-25 19:23 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample xlsx file (5.99 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-04-14 11:37 UTC, Jaise James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaise James 2014-04-14 11:37:10 UTC
How to reproduce

1. Open any xlsx file with more than 2 sheets.

2. Hide the first sheet & save the file.

3. On reopen the file. Now you can see First sheet is visible.

This bug only affects first sheet of spreadsheet. Others sheets hiding are working fine.
Comment 1 Jaise James 2014-04-14 11:37:44 UTC
Created attachment 97346 [details]
sample xlsx file

sample xlsx file
Comment 2 sophie 2014-04-23 13:35:56 UTC
Confirmed with version 4.2.4.1 Ubuntu 14.04 - Set as new - Sophie
Comment 3 bhh1988 2014-05-13 22:32:21 UTC
I am able to reproduce this problem as well. It is a security issue, because many people actually use the sheet-hiding mechanism for confidentiality.
Comment 4 David Tardon 2014-05-14 06:32:26 UTC
(In reply to comment #3)
> I am able to reproduce this problem as well. It is a security issue,

No, it is not. Hidden sheets can be made visible again any time.

> because
> many people actually use the sheet-hiding mechanism for confidentiality.

I would rather not comment on this...
Comment 5 Roman Bogolyubov 2015-06-21 08:53:31 UTC
Confirmed with version 4.4.2.2 Kubuntu 15.04
Comment 6 Katarina Behrens (Inactive) 2015-06-26 10:32:03 UTC
*** Bug 92139 has been marked as a duplicate of this bug. ***
Comment 7 Commit Notification 2015-08-19 10:49:23 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9528fb4a6adb2116a287653cfadc208e6c970fbc

tdf#77431: Move setting sheet visibility to finalize phase

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-08-19 12:42:10 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a57765241b8e9b57273f7548445ea57a1f44401

Bugfix test for tdf#77431

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.